View Issue Details

IDProjectCategoryView StatusLast Update
0009955CentOS-7CentOS-7-Pluspublic2016-01-10 00:19
ReporterToBeReplaced 
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionopen 
Product Version 
Target VersionFixed in Version 
Summary0009955: spidev unavailable in kernel-plus
DescriptionI would like to use spidev from kernel-plus.

I'm not very familiar with kernel development, but here is my understanding.

As it stands, CONFIG_SPI, CONFIG_SPI_MASTER, CONFIG_SPI_SPIDEV, and CONFIG_SND_SPI are all unset.

In order to use any of the SPI kernel modules, we would need to set:
CONFIG_SPI=y
CONFIG_SPI_MASTER=y
CONFIG_SND_SPI=y

Although I would love CONFIG_SPI_SPIDEV=m, there are quite a few SPI modules that others may be interested in. So, instead of picking favorites, omitting the modules in favor of allowing users to create kmods as needed could be reasonable choice.
Steps To ReproduceThat process is already well documented at https://wiki.centos.org/HowTos/BuildingKernelModules and
TagsNo tags attached.
abrt_hash
URL

Activities

toracat

toracat

2015-12-18 20:10

manager   ~0025129

Will make the config change in the next kernel update.
toracat

toracat

2015-12-21 00:56

manager  

config_bug9955.diff (8,013 bytes)
--- kernel-3.10.0-x86_64.config		2015-11-20 15:58:50.000000000 -0800
+++ kernel-3.10.0-x86_64.config.9955	2015-12-19 23:54:13.798133256 -0800
@@ -1424,6 +1424,9 @@
 # Self-contained MTD device drivers
 #
 # CONFIG_MTD_PMC551 is not set
+# CONFIG_MTD_DATAFLASH is not set
+# CONFIG_MTD_M25P80 is not set
+# CONFIG_MTD_SST25L is not set
 # CONFIG_MTD_SLRAM is not set
 # CONFIG_MTD_PHRAM is not set
 # CONFIG_MTD_MTDRAM is not set
@@ -1522,10 +1525,13 @@
 CONFIG_SENSORS_APDS990X=m
 # CONFIG_HMC6352 is not set
 # CONFIG_DS1682 is not set
+# CONFIG_TI_DAC7512 is not set
 CONFIG_VMWARE_BALLOON=m
 # CONFIG_BMP085_I2C is not set
+# CONFIG_BMP085_SPI is not set
 CONFIG_PCH_PHUB=m
 # CONFIG_USB_SWITCH_FSA9480 is not set
+# CONFIG_LATTICE_ECP3_CONFIG is not set
 # CONFIG_SRAM is not set
 # CONFIG_C2PORT is not set
 
@@ -1533,9 +1539,11 @@
 # EEPROM support
 #
 CONFIG_EEPROM_AT24=m
+# CONFIG_EEPROM_AT25 is not set
 CONFIG_EEPROM_LEGACY=m
 CONFIG_EEPROM_MAX6875=m
 CONFIG_EEPROM_93CX6=m
+# CONFIG_EEPROM_93XX46 is not set
 CONFIG_CB710_CORE=m
 # CONFIG_CB710_DEBUG is not set
 CONFIG_CB710_DEBUG_ASSUMPTIONS=y
@@ -2002,6 +2010,8 @@
 CONFIG_MLX5_CORE=m
 CONFIG_MLX5_CORE_EN=y
 # CONFIG_NET_VENDOR_MICREL is not set
+CONFIG_NET_VENDOR_MICROCHIP=y
+# CONFIG_ENC28J60 is not set
 CONFIG_NET_VENDOR_MYRI=y
 CONFIG_MYRI10GE=m
 CONFIG_MYRI10GE_DCA=y
@@ -2082,6 +2092,7 @@
 CONFIG_FIXED_PHY=y
 CONFIG_MDIO_BITBANG=m
 # CONFIG_MDIO_GPIO is not set
+# CONFIG_MICREL_KS8995MA is not set
 # CONFIG_PLIP is not set
 CONFIG_PPP=m
 CONFIG_PPP_BSDCOMP=m
@@ -2302,6 +2313,8 @@
 CONFIG_IEEE802154_DRIVERS=m
 CONFIG_IEEE802154_FAKEHARD=m
 CONFIG_IEEE802154_FAKELB=m
+# CONFIG_IEEE802154_AT86RF230 is not set
+# CONFIG_IEEE802154_MRF24J40 is not set
 CONFIG_XEN_NETDEV_FRONTEND=m
 CONFIG_VMXNET3=m
 CONFIG_HYPERV_NET=m
@@ -2498,6 +2511,8 @@
 CONFIG_TABLET_USB_KBTAB=m
 CONFIG_TABLET_USB_WACOM=m
 CONFIG_INPUT_TOUCHSCREEN=y
+# CONFIG_TOUCHSCREEN_ADS7846 is not set
+# CONFIG_TOUCHSCREEN_AD7877 is not set
 # CONFIG_TOUCHSCREEN_AD7879 is not set
 # CONFIG_TOUCHSCREEN_ATMEL_MXT is not set
 # CONFIG_TOUCHSCREEN_AUO_PIXCIR is not set
@@ -2528,6 +2543,7 @@
 # CONFIG_TOUCHSCREEN_USB_COMPOSITE is not set
 # CONFIG_TOUCHSCREEN_TOUCHIT213 is not set
 # CONFIG_TOUCHSCREEN_TSC_SERIO is not set
+# CONFIG_TOUCHSCREEN_TSC2005 is not set
 # CONFIG_TOUCHSCREEN_TSC2007 is not set
 # CONFIG_TOUCHSCREEN_W90X900 is not set
 # CONFIG_TOUCHSCREEN_ST1232 is not set
@@ -2627,6 +2643,8 @@
 # Non-8250 serial port support
 #
 # CONFIG_SERIAL_KGDB_NMI is not set
+# CONFIG_SERIAL_MAX3100 is not set
+# CONFIG_SERIAL_MAX310X is not set
 # CONFIG_SERIAL_MFD_HSU is not set
 CONFIG_SERIAL_CORE=y
 CONFIG_SERIAL_CORE_CONSOLE=y
@@ -2636,6 +2654,7 @@
 # CONFIG_SERIAL_TIMBERDALE is not set
 # CONFIG_SERIAL_ALTERA_JTAGUART is not set
 # CONFIG_SERIAL_ALTERA_UART is not set
+# CONFIG_SERIAL_IFX6X60 is not set
 # CONFIG_SERIAL_PCH_UART is not set
 CONFIG_SERIAL_ARC=m
 CONFIG_SERIAL_ARC_NR_PORTS=1
@@ -2770,7 +2789,32 @@
 # CONFIG_I2C_DEBUG_CORE is not set
 # CONFIG_I2C_DEBUG_ALGO is not set
 # CONFIG_I2C_DEBUG_BUS is not set
-# CONFIG_SPI is not set
+CONFIG_SPI=y
+# CONFIG_SPI_DEBUG is not set
+CONFIG_SPI_MASTER=y
+
+#
+# SPI Master Controller Drivers
+#
+# CONFIG_SPI_ALTERA is not set
+# CONFIG_SPI_BITBANG is not set
+# CONFIG_SPI_BUTTERFLY is not set
+# CONFIG_SPI_GPIO is not set
+# CONFIG_SPI_LM70_LLP is not set
+# CONFIG_SPI_OC_TINY is not set
+# CONFIG_SPI_PXA2XX is not set
+# CONFIG_SPI_PXA2XX_PCI is not set
+# CONFIG_SPI_SC18IS602 is not set
+# CONFIG_SPI_TOPCLIFF_PCH is not set
+# CONFIG_SPI_XCOMM is not set
+# CONFIG_SPI_XILINX is not set
+# CONFIG_SPI_DESIGNWARE is not set
+
+#
+# SPI Protocol Masters
+#
+CONFIG_SPI_SPIDEV=m
+# CONFIG_SPI_TLE62X0 is not set
 
 #
 # Qualcomm MSM SSBI bus support
@@ -2841,7 +2885,10 @@
 #
 # SPI GPIO expanders:
 #
+# CONFIG_GPIO_MAX7301 is not set
 # CONFIG_GPIO_MCP23S08 is not set
+# CONFIG_GPIO_MC33880 is not set
+# CONFIG_GPIO_74X164 is not set
 
 #
 # AC97 GPIO expanders:
@@ -2886,8 +2933,10 @@
 #
 CONFIG_SENSORS_ABITUGURU=m
 CONFIG_SENSORS_ABITUGURU3=m
+# CONFIG_SENSORS_AD7314 is not set
 CONFIG_SENSORS_AD7414=m
 CONFIG_SENSORS_AD7418=m
+# CONFIG_SENSORS_ADCXX is not set
 CONFIG_SENSORS_ADM1021=m
 CONFIG_SENSORS_ADM1025=m
 CONFIG_SENSORS_ADM1026=m
@@ -2895,6 +2944,7 @@
 CONFIG_SENSORS_ADM1031=m
 CONFIG_SENSORS_ADM9240=m
 CONFIG_SENSORS_ADT7X10=m
+# CONFIG_SENSORS_ADT7310 is not set
 CONFIG_SENSORS_ADT7410=m
 CONFIG_SENSORS_ADT7411=m
 CONFIG_SENSORS_ADT7462=m
@@ -2925,6 +2975,7 @@
 # CONFIG_SENSORS_JC42 is not set
 CONFIG_SENSORS_LINEAGE=m
 CONFIG_SENSORS_LM63=m
+# CONFIG_SENSORS_LM70 is not set
 CONFIG_SENSORS_LM73=m
 CONFIG_SENSORS_LM75=m
 CONFIG_SENSORS_LM77=m
@@ -2943,6 +2994,7 @@
 CONFIG_SENSORS_LM95234=m
 CONFIG_SENSORS_LM95241=m
 CONFIG_SENSORS_LM95245=m
+# CONFIG_SENSORS_MAX1111 is not set
 CONFIG_SENSORS_MAX16065=m
 CONFIG_SENSORS_MAX1619=m
 CONFIG_SENSORS_MAX1668=m
@@ -2984,6 +3036,7 @@
 CONFIG_SENSORS_SCH5636=m
 CONFIG_SENSORS_ADS1015=m
 CONFIG_SENSORS_ADS7828=m
+# CONFIG_SENSORS_ADS7871 is not set
 CONFIG_SENSORS_AMC6821=m
 CONFIG_SENSORS_INA209=m
 CONFIG_SENSORS_INA2XX=m
@@ -3115,11 +3168,14 @@
 CONFIG_MFD_CORE=m
 # CONFIG_MFD_CS5535 is not set
 # CONFIG_MFD_CROS_EC is not set
+# CONFIG_MFD_DA9052_SPI is not set
+# CONFIG_MFD_MC13XXX_SPI is not set
 # CONFIG_MFD_MC13XXX_I2C is not set
 # CONFIG_HTC_PASIC3 is not set
 CONFIG_LPC_ICH=m
 CONFIG_LPC_SCH=m
 # CONFIG_MFD_JANZ_CMODIO is not set
+# CONFIG_EZX_PCAP is not set
 CONFIG_MFD_VIPERBOARD=m
 # CONFIG_MFD_RETU is not set
 # CONFIG_MFD_PCF50633 is not set
@@ -3130,6 +3186,7 @@
 CONFIG_MFD_SM501=m
 # CONFIG_MFD_SM501_GPIO is not set
 # CONFIG_ABX500_CORE is not set
+# CONFIG_MFD_STMPE is not set
 # CONFIG_MFD_SYSCON is not set
 # CONFIG_MFD_TI_AM335X_TSCADC is not set
 # CONFIG_TPS6105X is not set
@@ -3137,12 +3194,15 @@
 # CONFIG_TPS6507X is not set
 # CONFIG_MFD_TPS65217 is not set
 # CONFIG_MFD_TPS65912 is not set
+# CONFIG_MFD_TPS65912_SPI is not set
 # CONFIG_MFD_WL1273_CORE is not set
 # CONFIG_MFD_LM3533 is not set
 # CONFIG_MFD_TIMBERDALE is not set
 # CONFIG_MFD_TMIO is not set
 CONFIG_MFD_VX855=m
 # CONFIG_MFD_ARIZONA_I2C is not set
+# CONFIG_MFD_ARIZONA_SPI is not set
+# CONFIG_MFD_WM831X_SPI is not set
 # CONFIG_REGULATOR is not set
 CONFIG_MEDIA_SUPPORT=m
 
@@ -3802,7 +3862,19 @@
 # CONFIG_EXYNOS_VIDEO is not set
 CONFIG_BACKLIGHT_LCD_SUPPORT=y
 CONFIG_LCD_CLASS_DEVICE=m
+# CONFIG_LCD_L4F00242T03 is not set
+# CONFIG_LCD_LMS283GF05 is not set
+# CONFIG_LCD_LTV350QV is not set
+# CONFIG_LCD_ILI922X is not set
+# CONFIG_LCD_ILI9320 is not set
+# CONFIG_LCD_TDO24M is not set
+# CONFIG_LCD_VGG2432A4 is not set
 CONFIG_LCD_PLATFORM=m
+# CONFIG_LCD_S6E63M0 is not set
+# CONFIG_LCD_LD9040 is not set
+# CONFIG_LCD_AMS369FG06 is not set
+# CONFIG_LCD_LMS501KF03 is not set
+# CONFIG_LCD_HX8357 is not set
 CONFIG_BACKLIGHT_CLASS_DEVICE=y
 # CONFIG_BACKLIGHT_GENERIC is not set
 CONFIG_BACKLIGHT_APPLE=m
@@ -3978,6 +4050,7 @@
 CONFIG_SND_HDA_CORE=m
 CONFIG_SND_HDA_DSP_LOADER=y
 CONFIG_SND_HDA_I915=y
+CONFIG_SND_SPI=y
 CONFIG_SND_USB=y
 CONFIG_SND_USB_AUDIO=m
 CONFIG_SND_USB_UA101=m
@@ -4316,6 +4389,7 @@
 # CONFIG_MMC_SDHCI_PXAV2 is not set
 # CONFIG_MMC_WBSD is not set
 CONFIG_MMC_TIFM_SD=m
+# CONFIG_MMC_SPI is not set
 CONFIG_MMC_CB710=m
 CONFIG_MMC_VIA_SDMMC=m
 CONFIG_MMC_VUB300=m
@@ -4356,6 +4430,7 @@
 CONFIG_LEDS_CLEVO_MAIL=m
 # CONFIG_LEDS_PCA955X is not set
 # CONFIG_LEDS_PCA9633 is not set
+# CONFIG_LEDS_DAC124S085 is not set
 # CONFIG_LEDS_BD2802 is not set
 CONFIG_LEDS_INTEL_SS4200=m
 # CONFIG_LEDS_LT3593 is not set
@@ -4477,6 +4552,16 @@
 #
 # SPI RTC drivers
 #
+# CONFIG_RTC_DRV_M41T93 is not set
+# CONFIG_RTC_DRV_M41T94 is not set
+# CONFIG_RTC_DRV_DS1305 is not set
+# CONFIG_RTC_DRV_DS1390 is not set
+# CONFIG_RTC_DRV_MAX6902 is not set
+# CONFIG_RTC_DRV_R9701 is not set
+# CONFIG_RTC_DRV_RS5C348 is not set
+# CONFIG_RTC_DRV_DS3234 is not set
+# CONFIG_RTC_DRV_PCF2123 is not set
+# CONFIG_RTC_DRV_RX4581 is not set
 
 #
 # Platform RTC drivers
config_bug9955.diff (8,013 bytes)
ToBeReplaced

ToBeReplaced

2016-01-09 23:20

reporter   ~0025313

Confirming that the most recent kernel includes spidev. I can't figure out how to close this issue (if I have sufficient rights to do so), but consider my issue resolved.
toracat

toracat

2016-01-10 00:19

manager   ~0025314

Yes, the change has been made as of kernel-plus 3.10.0-327.4.4.el7. Thank you for the confirmation. Now closing as 'resolved'.

Issue History

Date Modified Username Field Change
2015-12-18 19:52 ToBeReplaced New Issue
2015-12-18 20:10 toracat Note Added: 0025129
2015-12-18 20:10 toracat Status new => assigned
2015-12-21 00:56 toracat File Added: config_bug9955.diff
2016-01-09 23:20 ToBeReplaced Note Added: 0025313
2016-01-10 00:19 toracat Note Added: 0025314
2016-01-10 00:19 toracat Status assigned => resolved